#pragma once

#include <BWAPI.h>
#include "CBase.h"
#include "CUnit.h"
#include "Location.h"
#include "Macro.h"

using namespace BWAPI;

class CUnit;

class Scouting
{
public:
	static void scout();

	static int checkNextBase();
	static TilePosition getScoutingLocation();
	static bool locationScouted(Location l);
	static void setScouts();
};